/*/////////////////////////////////////////////////////////////////////////////////////////////////
	User's Guide
		opkey JavaScript
 Modified : 2012-09-25
/////////////////////////////////////////////////////////////////////////////////////////////////*/




$(function(){


	if(!$('#op_searchKey').val()){
		$('#op_searchKey').val(textData.opSearchDefTxt);
	}
	$('#op_searchKey').focus(function(){
		if($(this).val() == textData.opSearchDefTxt){
			$(this).val('').addClass("keyIn");
		}else{
			$(this).addClass("keyIn");
		}
	})
	.blur(function(){
		$('#op_searchKey').val($(this).val().replace(/^\s+/, '').replace(/\s+$/,'').replace(/[　\s]+/g,' '));
		if(!$(this).val()){
			$('#op_searchKey').val(textData.opSearchDefTxt).removeClass("keyIn");
		}
	});

	$('#op_searchBtn').click(function(){ $('#opkeySearch form').submit(); });
	$('#opkeySearch form').submit(function(){
		var val = $('#op_searchKey').val();
		if(val){
			window.location =  searchAction($('#opkeySearch form').attr('action')) +"?k="+encodeURIComponent(val);
			return false;
		}else{
			return false;
		}
	});
	
	setTimeout(function(){
		if(ua._isIE6){
			//start = new Date().getTime();
			var res = menu_opkey;
			res = res.replace(/<span [^>]*?class=('|")kmsymbol\1[^>]*?><img [^>]*?src=('|")\.\/img\/userfonts\/(\d+)\.png\2[^>]*?><\/span>/ig, '@@@kmsymbol$3@@@');
			//res = res.replace(/alt=('|")([^\1]*?)<([^\1]*?)\1/g, 'alt="$2#+#$3"');//altに"<"がある場合。。。途中書き機能していない
			res = res.replace(/<img ([^>]*?)>/ig, '[@#[Graphic_$1]#@]');
			res = res.replace(/(<li>)(<span>)((<a[^>]+>|)[^<]+?(<\/a>|)<\/span><ul>)/ig, '<li class="expandable"><div class="hitarea expandable-hitarea">&nbsp;</div><span class="opcl">$3');
			res = res.replace(/@@@kmsymbol(\d+)@@@/ig, '<span class="kmsymbol"><img src="./img/userfonts/$1.png" alt="" /></span>');
			res = res.replace(/\[@#\[Graphic_([^@]+?)\]#@\]/g, '<img $1>');
			res = res.replace(/opkeyTreeview/g, 'opkeyTreeview treeview');
			$("#leftNavi").html(res);
			/*$('li:has(>ul)').each(function(){
				$(this).addClass('expandable').prepend('<div class="hitarea expandable-hitarea">&nbsp;</div>').children('span:first-child').addClass("opcl");
			});*/
			$("ul.opkeyTreeview a[href$='"+thisFile+"']").addClass('selected').parent().parent("li").addClass("selectedList");
			$('a.selected').parents("li").addClass('collapsable').removeClass('expandable').children('div.hitarea').removeClass('expandable-hitarea').addClass('collapsable-hitarea');
			$('li.selectedList li.expandable').children('.hitarea').removeClass('expandable-hitarea').addClass('collapsable-hitarea');
			$('li.selectedList').removeClass('expandable').addClass('collapsable').find('li.expandable').removeClass('expandable').addClass('collapsable');
			$('div.hitarea').click(function(i,e){
				var t=$(this);
				if(t.is('div.expandable-hitarea')){
					t.parent('li').removeClass('expandable').addClass('collapsable');
					t.parent('li:last-child').removeClass('lastExpandable').addClass('lastCollapsable');
					t.removeClass('expandable-hitarea').addClass('collapsable-hitarea');
				}else{
					t.parent('li').removeClass('collapsable').addClass('expandable');
					t.parent('li:last-child').removeClass('lastCollapsable').addClass('lastExpandable');
					t.removeClass('collapsable-hitarea').addClass('expandable-hitarea');
				}
			});
			//var end = new Date().getTime();
			//alert((end-start) / 1000);
		}else{
			$('#leftNavi').html(menu_opkey);
			
			$("ul.opkeyTreeview a[href$='"+thisFile+"']").addClass('selected').parent().parent("li").addClass("selectedList");
			$("#leftNavi ul.opkeyTreeview").addClass('treeview');
			$('ul.treeview li').each(function(j){
				if($(this).children().is('ul')){
					$(this).children('span').addClass('opcl');
					$(this).addClass('expandable').prepend('<div class="hitarea expandable-hitarea"/>');
					$(this).filter(':last-child').addClass('lastExpandable');
				}
			});
			var selmap = $('ul.treeview .selectedList').parents('li.expandable').map(function(){return this;}).get();
			for(i=0,len=selmap.length; i<len; i++){
				$(selmap[i]).removeClass('expandable').addClass('collapsable');
				$(selmap[i]).filter('.lastExpandable').removeClass('lastExpandable').addClass('lastCollapsable');
				$(selmap[i]).children('.hitarea').removeClass('expandable-hitarea').addClass('collapsable-hitarea');
			}
			$('.selectedList').children('.hitarea').removeClass('expandable-hitarea').addClass('collapsable-hitarea');
			$('.selectedList li.expandable').children('.hitarea').removeClass('expandable-hitarea').addClass('collapsable-hitarea');
			$('.selectedList').removeClass('expandable').addClass('collapsable').find('li.expandable').removeClass('expandable').addClass('collapsable');
			$('.selectedList').removeClass('lastExpandable').addClass('lastCollapsable').find('li.lastExpandable').removeClass('lastExpandable').addClass('lastCollapsable');
			$('.hitarea').click(function(){
				if($(this).is('.expandable-hitarea')){
					$(this).parent('li').removeClass('expandable').addClass('collapsable');
					$(this).parent('li:last-child').removeClass('lastExpandable').addClass('lastCollapsable');
					$(this).removeClass('expandable-hitarea').addClass('collapsable-hitarea');
				}else{
					$(this).parent('li').removeClass('collapsable').addClass('expandable');
					$(this).parent('li:last-child').removeClass('lastCollapsable').addClass('lastExpandable');
					$(this).removeClass('collapsable-hitarea').addClass('expandable-hitarea');
				}
			});
			$('#ExpandAll').click(function(){
				$('.treeview').find('.expandable').removeClass('expandable').addClass('collapsable');
				$('.treeview').find('.hitarea').removeClass('expandable-hitarea').addClass('collapsable-hitarea');
				$('.treeview').find('.lastExpandable').removeClass('lastExpandable').addClass('lastCollapsable');
			});
			$('#CollapseAll').click(function(){
				$('.treeview').find('.collapsable').removeClass('collapsable').addClass('expandable');
				$('.treeview').find('.hitarea').removeClass('collapsable-hitarea').addClass('expandable-hitarea');
				$('.treeview').find('.lastCollapsable').removeClass('lastCollapsable').addClass('lastExpandable');
			});
			
			$("#naviTree ul li a").hover(
				function(){ $(this).parent().parent("li").addClass("hoverList"); },
				function(){ $(this).parent().parent("li").removeClass("hoverList"); }
			);
		}
	},0);






});
//////////////////////



